AuthenticationNotSupportedException (Java Platform SE 8 )
Keywords: javax.naming.AuthenticationNotSupportedException class
Date: 2016-10-23

compact3
javax.naming

## Class AuthenticationNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.NamingSecurityException
        - - javax.naming.AuthenticationNotSupportedException

- All Implemented Interfaces:
    Serializable

      public class AuthenticationNotSupportedException
      extends NamingSecurityException

  This exception is thrown when the particular flavor of authentication requested is not supported. For example, if the program is attempting to use strong authentication but the directory/naming supports only simple authentication, this exception would be thrown. Identification of a particular flavor of authentication is provider- and server-specific. It may be specified using specific authentication schemes such those identified using SASL, or a generic authentication specifier (such as "simple" and "strong").

  If the program wants to handle this exception in particular, it should catch AuthenticationNotSupportedException explicitly before attempting to catch NamingException. After catching `AuthenticationNotSupportedException`, the program could reattempt the authentication using a different authentication flavor by updating the resolved context's environment properties accordingly.

  Synchronization and serialization issues that apply to NamingException apply directly here.

  Since:
    1.3
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationNotSupportedException()` Constructs a new instance of AuthenticationNotSupportedException all name resolution fields and explanation initialized to null.
    `AuthenticationNotSupportedException(String explanation)` Constructs a new instance of AuthenticationNotSupportedException using an explanation.

  - ### Method Summary

    - ### Methods inherited from class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationNotSupportedException

          public AuthenticationNotSupportedException(String explanation)

      Constructs a new instance of AuthenticationNotSupportedException using an explanation. All other fields default to null.
      Parameters:
        `explanation` - A possibly null string containing additional detail about this exception.
      See Also:
        `Throwable.getMessage()`

    - #### AuthenticationNotSupportedException

          public AuthenticationNotSupportedException()

      Constructs a new instance of AuthenticationNotSupportedException all name resolution fields and explanation initialized to null.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.